﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=12.5
@EndOfDesignText@
Sub Class_Globals
	Private CName,EventName As String
	Private ClLabel As Label
	Private BasePanel As Panel
	Private EvTarget As Object
	Private CLeft, CTop, CWidth, CHeight As Float
	Private CParent As Activity

End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(Parent As Activity,VName As String,EvName As String,Target As Object,left As Float,Top As Float,Width As Float,Height As Float)
	CName=VName
	EventName = EvName
	EvTarget=Target
	CLeft=left
	CTop=Top
	CWidth=Width
	CHeight=Height
	CParent=Parent
End Sub

Public Sub MakeView
	BasePanel.Initialize("BasePanel")
	CParent.AddView(BasePanel,CLeft,CTop,CWidth,CHeight)
	ClLabel.Initialize("ClLabel")
	BasePanel.AddView(ClLabel,0,0,CWidth,CHeight)
	ClLabel.Color=Colors.LightGray
	
End Sub

Public Sub getName As String
	Return CName
End Sub

Public Sub setName(value As String)
	CName=value
End Sub


Public Sub setTop(value As Float)
	BasePanel.Top = value

End Sub

Public Sub getTop As Float
	Return BasePanel.Top
End Sub

Public Sub setLeft(value As Float)
	BasePanel.Left=value

End Sub

Public Sub getLeft As Float
	Return BasePanel.Left
End Sub

Public Sub setWidth(value As Float)
	ClLabel.Width=value
	BasePanel.Width=value
End Sub

Public Sub getWidth As Float
	Return ClLabel.Width
End Sub

Public Sub setHeight(value As Float)
	ClLabel.Height=value
	BasePanel.Height=value
End Sub

Public Sub getHeight As Float
	Return ClLabel.Height
End Sub

Public Sub setText(value As String)
	ClLabel.Text=value
	cllabel_TextChanged(getText,value)
End Sub

Public Sub getText As String
	Return ClLabel.Text
End Sub

Public Sub setColor(value As Int)
	ClLabel.Color=value
End Sub


Sub cllabel_click
	If SubExists(EvTarget,EventName & "_click") Then
		CallSub(EvTarget,EventName & "_click")
	End If
End Sub

Sub cllabel_TextChanged(Old As String, New As String)
	If SubExists(EvTarget,EventName & "_TextChanged") Then
		CallSub(EvTarget,EventName & "_TextChanged")
	End If
End Sub